<? global $lang, $lang_id;?>
<div class="article-full">
  <?
    $this -> article['language']['seo_link'] ? $url = $this -> article['language']['seo_link'] : $url = 'a-' . $this -> article['id'] . '-' . \S::seo( $this -> article['language']['title'] );
  
    if ( $this -> article['show_title'] )
      echo '<h3 class="article-title">' . $this -> article['language']['title'] . '</h3>';
    
    if ( $this -> article['social_icons'] ):
      ?>
      <div class="social-icons">
        <a class="fb" href="http://www.facebook.com/sharer.php?u=<?= \S::get_domain_url( $_SERVER['SERVER_NAME'] );?>/<?= $url;?>" onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=600,width=600');return false;" title="facebook" target="_blank" rel="nofollow">
          <img src="/images/system/logo-facebook.jpg" alt="facebook" />
        </a>
        <a class="pinterest" href="http://pinterest.com/pin/create/button/?url=<?= \S::get_domain_url( $_SERVER['SERVER_NAME'] );?>/<?= $url;?>" onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=600,width=600');return false;" title="pinterest" target="_blank" rel="nofollow">
          <img src="/images/system/logo-pinterest.jpg" alt="pinterest" />
        </a>
        <a class="twitter" href="http://twitter.com/share?url=<?= \S::get_domain_url( $_SERVER['SERVER_NAME'] );?>/<?= $url;?>" onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=450,width=600');return false;" title="twitter" target="_blank" rel="nofollow">
          <img src="/images/system/logo-twitter.jpg" alt="twitter" />
        </a>
        <a class="linkedin" href="http://www.linkedin.com/shareArticle?mini=true&amp;url=<?= \S::get_domain_url( $_SERVER['SERVER_NAME'] );?>/<?= $url;?>" onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=500,width=850');return false;" title="linked in" target="_blank" rel="nofollow">
          <img src="/images/system/logo-linkedin.jpg" alt="linkedin" />
        </a>
        <a class="gp" href="https://plus.google.com/share?url=<?= \S::get_domain_url( $_SERVER['SERVER_NAME'] );?>/<?= $url;?>" onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=600,width=600');return false;" title="google+" target="_blank" rel="nofollow">
          <img src="/images/system/logo-google.jpg" alt="google+" />
        </a>
      </div>
      <?
    endif;
    
    if ( $this -> article['show_date_add'] )
      echo '<div class="date-add">' . $lang['data-dodania'] . ': ' . $this -> article['date_add'] . '</div>';
    
    if ( $this -> article['show_date_modify'] )
      echo '<div class="date-add">' . $lang['data-modyfikacji'] . ': ' . $this -> article['date_modify'] . '</div>';
    
    if ( is_array( $this -> article['tags'] ) and !empty( $this -> article['tags'] ) ):
      echo '<div class="article-tags">';
        echo '<ul>';
          foreach ( $this -> article['tags'] as $tag ):
            echo '<li>';
              echo '<a href="/tag,' . \S::seo( $tag ) . '">'. $tag . '</a>';
            echo '</li>';
          endforeach; 
        echo '</ul>';
      echo '</div>';
    endif;
  ?>
  <? if ( $this -> article['repeat_entry'] ):?>
    <div class="entry">
      <?= $this -> article['language']['entry'];?>
    </div>
  <? endif;?>
  <div class="text">
    <?
      $text = $this -> article['language']['text'];
      
      /* artykuł wewnątrz innego artykułu */
      preg_match_all( '/ARTYKUL:[0-9]*/', $this -> article['language']['text'], $articles_list );
      if ( is_array( $articles_list[0] ) ) foreach( $articles_list[0] as $article_tmp )
      {
        $article_tmp  = explode( ':', $article_tmp );
        if ( $article_tmp[1] != $this -> article['id'] )
          $text = str_replace( '[ARTYKUL:' . $article_tmp[1] . ']', \front\view\Articles::article_full( $article_tmp[1], $lang_id ), $text );
        else
          $text = str_replace( '[ARTYKUL:' . $article_tmp[1] . ']', '', $text );
      }
      
      /* galeria w innym miejscu niż na końcu */
      if ( strpos( $this -> article['language']['text'], '[GALERIA]' ) !== false )
      {
        ob_start();
        if ( is_array( $this -> article['images'] ) ):
          ?>
            <div class="gallery">
              <div class="row">
                <?
                  foreach ( $this -> article['images'] as $img ):
                    ?>
                      <div class="col-12 col-sm-3 co-lg-4">
                        <a rel="article-<?= $this -> article['id'];?>" href="<?= $img['src'];?>" title="">
                          <img src="<?= $img['src'];?>" alt="<?= $img['alt'];?>" />
                        </a>
                      </div>
                    <?
                  endforeach;
                ?>
              </div>
            </div>
          <?
        endif;
        $gallery = ob_get_contents();
        ob_end_clean();
        $text = str_replace( '[GALERIA]', $gallery, $text );
      }
      
      /* załączniki w innym miejscu niż na końcu */
      if ( strpos( $this -> article['language']['text'], '[ZALACZNIKI]' ) !== false )
      {
        ob_start();
        if ( is_array( $this -> article['files'] ) ):
          ?>
            <ul class="files">
              <?
                foreach ( $this -> article['files'] as $file ):
                  ?>
                    <li>
                      <a href="./download.php?file=<?= $file['id'];?>&hash=<?= md5( $file['src'] );?>" title="<?= $file['name'];?>" target="_blank">
                        <? 
                          if ( $file['name'] )
                            echo $file['name'];
                          else
                          {
                            $name = explode( '/', $file['src'] );
                            echo $name[ count( $name ) - 1 ];
                          }
                        ?>
                      </a>
                    </li>
                  <?
                endforeach;
              ?>
            </ul>
          <?
        endif;
        $files = ob_get_contents();
        ob_end_clean();
        $text = str_replace( '[ZALACZNIKI]', $files, $text );
      }
      
      /* slider */
      if ( strpos( $text, '[SLIDER]' ) !== false )
      {
        while ( strpos( $text, '[SLIDER]' ) !== false ) 
        {
          $text_tmp = explode( '[SLIDER]', $text );
          $before = $text_tmp[0];
          for ( $i = 1; $i < count( $text_tmp ); $i++ ) 
          {
            $temp   = explode( '[/SLIDER]' , $text_tmp[$i] );
            $code   = $temp[0];

            ob_start();
            
            $images_tmp = explode( '|', $code );
            if ( is_array( $images_tmp ) and !empty( $images_tmp ) ) foreach ( $images_tmp as $image_tmp )
            {
              $image = explode( ';', $image_tmp );
              $images[] = $image;
            }
            
            $tpl = new \Tpl;
            $tpl -> images      = $images;
            $tpl -> article_id  = $this -> article['id'];
            $tpl -> i           = $i;
            echo $tpl -> render( 'articles/slider' );
            
            $out .= ob_get_contents();
            ob_end_clean();

            $out .= $temp[1];
          }
          $text = $before . $out;
        }
      }
      
      echo $text;
    ?>
  </div>
  <? 
    if ( is_array( $this -> article['images'] ) and strpos( $this -> article['language']['text'], '[GALERIA]' ) === false ):
      ?>
        <div class="gallery">
          <div class="row">
            <?
              foreach ( $this -> article['images'] as $img ):
                ?>
                  <div class="col-12 col-sm-3 co-lg-4">
                    <a rel="article-<?= $this -> article['id'];?>" href="<?= $img['src'];?>" title="">
                      <img src="<?= $img['src'];?>" alt="<?= $img['alt'];?>" />
                    </a>
                  </div>
                <?
              endforeach;
            ?>
          </div>
        </div>
      <?
    endif;
    
    if ( is_array( $this -> article['files'] )  and strpos( $this -> article['language']['text'], '[ZALACZNIKI]' ) === false ):
      ?>
        <ul class="files">
          <?
            foreach ( $this -> article['files'] as $file ):
              ?>
                <li>
                  <a href="./download.php?file=<?= $file['id'];?>&hash=<?= md5( $file['src'] );?>" title="<?= $file['name'];?>" target="_blank">
                    <? 
                      if ( $file['name'] )
                        echo $file['name'];
                      else
                      {
                        $name = explode( '/', $file['src'] );
                        echo $name[ count( $name ) - 1 ];
                      }
                    ?>
                  </a>
                </li>
              <?
            endforeach;
          ?>
        </ul>
      <?
    endif;
  ?>
</div>
<link class="footer" href="/libraries/fancyBox/jquery.fancybox.css" rel="stylesheet" type="text/css">
<link class="footer" href="/libraries/fancyBox/helpers/jquery.fancybox-buttons.css" rel="stylesheet" type="text/css">
<script class="footer" type="text/javascript" src="/libraries/fancyBox/jquery.fancybox.js"></script>
<script class="footer" type="text/javascript" src="/libraries/fancyBox/helpers/jquery.fancybox-buttons.js"></script>
<script class="footer" type="text/javascript">
  $( document ).ready(function() 
  {
    $( ".gallery a" ).fancybox({
      closeBtn		: false,
      helpers		: {
        buttons	: {}
      }
    });
  });
</script>